Subject: Re: bug#19468: 25.0.50; UI inconveniences with M-.

From: Dmitry Gutov <[email-masked]>
Date: Tue, 28 Apr 2015 01:02:36 +0300

On 04/27/2015 07:30 AM, Stefan Monnier wrote:

> There should very much be other backends on the way, e.g. using Semantic
> (for C/C++), SLIME (for CL), ...

Both CIDER and SLIME look like a good candidate among third-party 
packages. I also intend to use it in Robe (which can't be added to GNU 
ELPA because of inf-ruby dependency; it's also begging for a rewrite...)

>>     . The doc string of xref-find-function mentions several variants of
>>       invoking the function, but there doesn't seem to be any way of
>>       controlling that when invoking the function interactively, is
>>       there?  I think it would be good to be able to lookup only the
>>       definitions or only the references of a symbol.

`M-.' only looks up definitions. Or at least, that's the .

> Indeed, the current UI does not offer access to all features of the API.

There is M-x xref-find-references. Neither of the two current backends 
implements it, though (but I know SLIME has such a feature, and CEDET 
probably has something comparable). We could bind it to `C-M-?.